package com.yunzhi.marketing.xlk.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 视频表 
 * </p>
 *
 * @author jobob
 * @since 2021-05-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("xlk_video")
public class VideoDTO implements Serializable {
    /**
     * 所属城市
     */
    @TableField("CITY_ID")
    private Integer cityId;

    /**
     * 所属楼盘
     */
    @TableField("BUILDING_ID")
    private String buildingId;

    /**
     * 主图
     */
    private String videImg;

    /**
     * 视频标题
     */
    private String name;

    /**
     * 视频简介
     */
    private String remark;

    /**
     * 视频地址
     */
    private String videoUrl;

    /**
     * 权重
     */
    @TableField("WEIGHT")
    private Integer weight;

}
