package com.yunzhi.marketing.xlk.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 课程表 
 * </p>
 *
 * @author jobob
 * @since 2021-05-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("xlk_curriculum")
public class Curriculum implements java.io.Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.UUID)
    private String curriculumId;

    /**
     * 创建人
     */
    @TableField("CREATED_BY")
    private Integer createdBy;

    /**
     * 创建时间
     */
    @TableField("CREATED_TIME")
    private LocalDateTime createdTime;

    /**
     * 更新人
     */
    @TableField("UPDATED_BY")
    private String updatedBy;

    /**
     * 更新时间
     */
    @TableField("UPDATED_TIME")
    private LocalDateTime updatedTime;

    /**
     * 公司id
     */
    @TableField("ORG_ID")
    private Integer orgId;

    /**
     * 参与对象
     */
    private String roleId;

    /**
     * 主图
     */
    private String curriculumImg;

    /**
     * 标题
     */
    private String name;

    /**
     * 简介
     */
    private String remark;

    /**
     * 详情类型：0富文本或者1视频
     */
    private Integer type;

    /**
     * 视频地址
     */
    private String curriculumUrl;

    /**
     * 富文本内容
     */
    private String content;

    /**
     * 权重
     */
    @TableField("WEIGHT")
    private Integer weight;

    /**
     * 阅读人数
     */
    private Integer lookNum;

    /**
     * 是否发布
     */
    private Integer isPublish;


}
