package com.yunzhi.marketing.xlk.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 帮我找房 
 * </p>
 *
 * @author jobob
 * @since 2021-06-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("xlk_search_house")
public class SearchHouse implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.UUID)
    private String id;

    /**
     * 创建人小程序人员
     */
    private String personId;

    /**
     * 创建时间
     */
    @TableField("CREATED_TIME")
    private LocalDateTime createdTime;

    /**
     * 更新人
     */
    @TableField("UPDATED_BY")
    private String updatedBy;

    /**
     * 更新时间
     */
    @TableField("UPDATED_TIME")
    private LocalDateTime updatedTime;

    /**
     * 公司id
     */
    @TableField("ORG_ID")
    private Integer orgId;

    /**
     * 意向区域
     */
    private String intentArea;

    /**
     * 总预算范围最小价格
     */
    private String minPrice;

    /**
     * 总预算范围最大价格
     */
    private String maxPrice;


    /**
     * 0待回访，1已回访，2无效
     */
    private String status;

    /**
     * 审核结果
     */
    private String auditRemark;

    /**
     * 帮我找房类型 1买房2租房3海外置业4增值服务
     */
    private Integer type;

    /**
     * 备注
     */
    private String remark;
}
